where_am_I := $(dir $(abspath $(lastword $(MAKEFILE_LIST))))
include $(E3_REQUIRE_TOOLS)/driver.makefile

REQUIRED += calc

APP:=vmmTblApp
APPDB:=$(APP)/Db
APPSRC:=$(APP)/src

TMPS += $(APPDB)/vmm_tbl.template
TMPS += $(APPDB)/vmm-fen-global.template
TMPS += $(APPDB)/hyb-global.template
SUBS = $(APPDB)/channels.sub
SUBS += $(APPDB)/hybrid.sub
SUBS += $(APPDB)/channels-global.sub

LIB_SYS_LIBS += vmmapi

SOURCES += $(APPSRC)/vmm_tbl.cpp
SOURCES += $(APPSRC)/Utils.cpp

DBDS    += $(APPSRC)/vmm_tbl.dbd

USR_DBFLAGS += -I . -I ..
USR_DBFLAGS += -I $(EPICS_BASE)/db
USR_DBFLAGS += -I $(APPDB)

vlibs:
.PHONY: vlibs
